Subject: Re: bug#51556: 29.0.50; Poor contrast of Customize SVG icons with dark backgrounds

From: Stefan Kangas <[email-masked]>
Date: Tue, 2 Nov 2021 10:44:23 -0700

Eli Zaretskii <[email-masked]> writes:

>> No, we do respect colors specified by the SVG image.  That's why we see
>> the current behavior.
>>
>> However, if no foreground color is specified in the SVG file, we use the
>> foreground color of the current face instead.  That's why the fix I
>> propose work.
>
> What is the difference between "colors specified by the SVG image"
> (which you say we respect), and "foreground color is specified in the
> SVG file" (which you want us to disregard)?

You missed quoting "no" in "no foreground color is specified in the SVG
file".  So the difference is that in one case the SVG files specifies
the foreground color, in the other case it does not.

Also, note that I'm not proposing any change.  I'm only describing the
current behavior.

>> I consider this a bug fix, but admittedly only a minor one.  However, I
>> also note that the visibility of those symbols is worse with a dark
>> theme in Emacs 28 than in Emacs 27, so we might consider it a
>> regression.
>
> Let's not exaggerate, okay?

I fail to see any exaggeration.

I've attached two screenshots of the customize buffer using the
"tsdh-dark" theme, one in Emacs 27 and the other one in Emacs 28.